/////////////////////////////// Plot - Manager+Inspector.h (mwx,07.09.06) /////

#import <Cocoa/Cocoa.h>

@interface Manager (Inspector)

///////////////////////////////////////////////////////////////// GENERAL STUFF
- (void)setInspector:(NSString *)label;
- (IBAction)selectInspectorTab:(id)sender;
- (IBAction)axis12DidChange:(id)sender;
- (int)axis12;
- (void)update;
////////////////////////////////////////////////////////////// MOUSE MODE STUFF
- (BOOL)mouseMode:(NSString *)mode;
- (IBAction)mouseModeDidChange:(id)sender;
- (void)setMouseLocation:(double)loc;
- (double)getRefValue:(int)n;
- (void)setLinBg:(double)a:(double)b;
//////////////////////////////////////////////////////////////// DATA INSPECTOR
- (IBAction)dataInspectorChange:(id)sender;
-	(void)updateDataInspector;
//////////////////////////////////////////////////////////// ADVANCED INSPECTOR
- (IBAction)advancedDidChange:(id)sender;
- (void)updateAdvanced;
///////////////////////////////////////////////////////////// GENERAL INSPECTOR
- (IBAction)generalDidChange:(id)sender;
- (void)updateGeneral;
////////////////////////////////////////////////////////// DATA STYLE INSPECTOR
- (IBAction)applyDefaultStyle:(id)sender;
- (IBAction)styleDidChange:(id)sender;
- (void)updateStyle;
- (IBAction)autoColor:(id)sender;
- (IBAction)autoDash:(id)sender;
- (IBAction)autoSymbol:(id)sender;
//////////////////////////////////////////////////////////////// AXIS INSPECTOR
- (IBAction)axisDidChange:(id)sender;
- (void)updateAxis;
///////////////////////////////////////////////////////// AXIS FORMAT INSPECTOR
- (IBAction)axisFormatDidChange:(id)sender;
- (void)updateAxisFormat;
////////////////////////////////////////////////////////// AXIS LABEL INSPECTOR
- (IBAction)axisLabelsDidChange:(id)sender;
- (void)updateAxisLabels;
//////////////////////////////////////////////////////////////// TEXT INSPECTOR
- (IBAction)textDidChange:(id)sender;
- (void)updateText;
///////////////////////////////////////////////////////////// GRAPHIC INSPECTOR
- (IBAction)graphicDidChange:(id)sender;
- (void)updateGraphic;
- (void)setGraphicDefaults;
////////////////////////////////////////////////////////// ERROR BARS INSPECTOR
- (IBAction)errorDidChange:(id)sender;
- (void)updateError;
////////////////////////////////////////////////////////////// LEGEND INSPECTOR
- (IBAction)legendDidChange:(id)sender;
- (void)updateLegend;
//////////////////////////////////////////// CALCULATION/MANIPULATION INSPECTOR
- (IBAction)incStepChanged:(id)sender;
- (IBAction)spStrengthChanged:(id)sender;
////////////////////////////////////////////////////////// SPLINE FIT INSPECTOR
- (IBAction)splineFitDidChange:(id)sender;
- (void)updateSplineFit;
///////////////////////////////////////////////// INSPECTOR VALUE DISPLAY STUFF
- (NSString *)getValue:(int)axis:(int)mode:(double)val;
- (NSString *)getDValue:(int)axis:(int)mode:(double)vala:(double)valb;
- (void)showValues:(NSPoint)loc;
- (void)showValues:(NSPoint)aloc:(NSPoint)bloc;

@end ////////////////////////////////////////////////////////////////////// END
