#!/usr/bin/perl
############################### Plot spline2 import filter (mwx,31.05.06) #####

$path=$ARGV[0];
$spline2=$ARGV[1];
$evalsp=$ARGV[2];
$opts=$ARGV[3];
$eopts=$ARGV[4];
$input="$path/input.dat";

chdir($path);

system("$spline2 $opts -q $input | $evalsp $eopts -e -i -a >/dev/null");

$n=0;

$area=0;

$rms=0;
$dws=0;
$ksi=0;
$acffit=0;
$dwi=0;
$ngf=0;

open(IN,"splerr");
while (<IN>) {
	$rms=$1 if (/^Spline-fit:.*rms=([^\s\,]+)[\s\,]+/);
	$dws=$1 if (/^Spline-fit:.*dws=([^\s\,]+)[\s\,]+/);
	$ksi=$1 if (/^Spline-fit:.*ksi=([^\s\,]+)[\s\,]+/);
	$acffit=$1 if (/^Spline-fit:.*acffit=([^\s\,]+)[\s\,]+/);
	$ngf=1 if (/^Spline-fit:.*no\s*good\s*fit/i);
	$dwi=1 if (/^Spline-fit:.*DW\s*indecisive/i);
}
close(IN);

open(IN,"evlres");                              ##### extract spline data #####
while(<IN>) {
	s/^\s*//;
	s/\s*$//;
	s/\s+/ /;
	@res=split(' ');
	$dat.="$res[0]:$res[1]:$res[2]:";
	$n++;
}
close(IN);
$dat=~s/\:$//;

$minmax="";$minn=0;$maxn=0;$area=0;          ##### extract minima & maxima #####
open(IN,"evlsum");
while(<IN>) {
	if (/^\s*min.*x\s*=\s*([^\s]+)\s+S\(x\)\s*=\s*([^\s]+)\s*$/) {
		$min.="$1:$2:";
		$minn++;
	}
	if (/^\s*max.*x\s*=\s*([^\s]+)\s+S\(x\)\s*=\s*([^\s]+)\s*$/) {
		$max.="$1:$2:";
		$maxn++;
	}
	if (/^\s*area.*A\s*=\s*([^\s]+)\s*$/) {
		$area=$1;
	}
}
close(IN);
$min=~s/\:$//;
$max=~s/\:$//;

print "$rms:$dws:$ksi:$acffit:$dwi:$ngf:$area:";

print "$n:$dat:";

print "$minn:$min:$maxn:$max";

system("rm -rf $path") if ($path=~/^\/tmp\/Plot.\d+$/);

########################################################################### END
